Skip to main content
GET
/
allowances
List allowances
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/allowances \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "allowance",
      "data": {
        "work_assignment": {
          "id": "<id>",
          "object": "work_assignment",
          "links": {
            "self": "/work_assignments/<id>"
          }
        },
        "allowance_type": {
          "id": "<id>",
          "object": "allowance_type",
          "data": {
            "type": "cell_phone_allowance",
            "label": "Cell phone allowance"
          },
          "links": {
            "self": "/allowance_types/cell_phone_allowance"
          }
        },
        "title": "Cell phone allowance",
        "title_translations": {
          "en": "Cell phone allowance",
          "fr": "Allocation de téléphone cellulaire"
        },
        "title_translated": "Cell phone allowance",
        "amount": 75.25,
        "frequency": "per_month",
        "date_basis": "by_period_start_date",
        "pay_period_cadence": [
          1
        ],
        "effective_from": "2026-01-01",
        "effective_to": "2026-12-31",
        "business_preset": null,
        "expense_accounting_code": null,
        "liability_accounting_code": null,
        "external_ref": "01KFNHG3MNRS84XF1ERW0M7HP0",
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/allowances/<id>"
      }
    },
    {
      "id": "<id>",
      "object": "allowance",
      "data": {
        "work_assignment": {
          "id": "<id>",
          "object": "work_assignment",
          "links": {
            "self": "/work_assignments/<id>"
          }
        },
        "allowance_type": {
          "id": "<id>",
          "object": "allowance_type",
          "data": {
            "type": "parking_allowance",
            "label": "Parking allowance"
          },
          "links": {
            "self": "/allowance_types/parking_allowance"
          }
        },
        "title": "Parking allowance",
        "title_translations": {
          "en": "Parking allowance",
          "fr": "Allocation de stationnement"
        },
        "title_translated": "Parking allowance",
        "amount": 25.75,
        "frequency": "per_payroll",
        "date_basis": null,
        "pay_period_cadence": null,
        "effective_from": "2026-01-01",
        "effective_to": "2026-12-31",
        "business_preset": null,
        "expense_accounting_code": null,
        "liability_accounting_code": null,
        "external_ref": "01KFNHXVA4N8WPKEGJJ5KAQJAE",
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/allowances/<id>"
      }
    }
  ],
  "links": {
    "first": "/allowances?work_assignment_id=<id>&page=1",
    "last": "/allowances?work_assignment_id=<id>&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 2,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

business_entity_id
string
pay_schedule_id
string
work_assignment_id
string
employee_id
string
has_business_preset
boolean
business_preset_id
string
include_types
enum<string>
Available options:
automobile_and_motor_vehicle,
cell_phone_allowance,
child_care_expenses,
child_eduction_non_taxable,
child_eduction_taxable,
clothing_non_taxable,
clothing_taxable,
education_and_professional_development,
housing_allowance_cash,
internet_allowance,
meals_taxable,
moving_allowance_non_taxable,
moving_allowance_taxable,
municipal_officers_expense,
non_taxable_allowance,
overtime_meals_non_taxable,
parking_allowance,
professional_membership,
professional_membership_dues_taxable,
social_event_allowance,
taxable_cash_allowance,
tools_allowance,
transit_pass,
travelling_allowance_non_taxable,
travelling_allowance_taxable,
utilities_allowance
exclude_types
enum<string>
Available options:
automobile_and_motor_vehicle,
cell_phone_allowance,
child_care_expenses,
child_eduction_non_taxable,
child_eduction_taxable,
clothing_non_taxable,
clothing_taxable,
education_and_professional_development,
housing_allowance_cash,
internet_allowance,
meals_taxable,
moving_allowance_non_taxable,
moving_allowance_taxable,
municipal_officers_expense,
non_taxable_allowance,
overtime_meals_non_taxable,
parking_allowance,
professional_membership,
professional_membership_dues_taxable,
social_event_allowance,
taxable_cash_allowance,
tools_allowance,
transit_pass,
travelling_allowance_non_taxable,
travelling_allowance_taxable,
utilities_allowance
effective_on
string<date>
not_effective_on
string<date>
effective_from
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_from=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: effective_from[gte]=2024-01-01&effective_from[lt]=2024-12-31
effective_to
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_to=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: effective_to[gte]=2024-01-01&effective_to[lt]=2024-12-31
external_ref
string
search_payee_names
string
sort
enum<string>

Sort order is specified using the format sort=field[:direction][,field[:direction],...] where field is the name of the field to sort by and direction is the optional sort direction (asc or desc).

Available options:
effective_from,
effective_to,
work_assignment.payee.default,
work_assignment.payee.first_name,
work_assignment.payee.last_name
tag_id
string
tag_group_id
string
expand
enum<string>[]
Available options:
business_preset,
expense_accounting_code,
liability_accounting_code,
tag_assignment,
work_assignment

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]